sc::RenderedPolylines Class Reference
Inheritance diagram for sc::RenderedPolylines:
[legend]
Collaboration diagram for sc::RenderedPolylines:
[legend]

## Public Types

enum | Coloring { None, Vertex }

## Public Member Functions

| RenderedPolylines (const Ref< KeyVal > &)
void | initialize (int nvertex, int npolylines, RenderedPolylines::Coloring c=RenderedPolylines::None)
int | npolyline ()
int | nvertex ()
int | nvertex_in_polyline (int i) const
double | vertex (int i, int j) const
double | vertex_rgb (int i, int j) const
int | polyline (int i, int j) const
int | have_vertex_rgb () const
void | set_vertex (int, double x, double y, double z)
void | set_vertex_rgb (int, double r, double g, double b)
void | set_polyline (int i, int v1, int v2)
void | set_polyline (int i, int v1, int v2, int v3)
void | set_polyline (int i, int v1, int v2, int v3, int v4)
void | render (const Ref< Render > &)
Public Member Functions inherited from sc::RenderedObject
| RenderedObject (const Ref< Material > &=0)
| RenderedObject (const Ref< KeyVal > &)
const char * | name () const
void | set_name (const char *)
Ref< Material > | material () const
Ref< Appearance > | appearance () const
Ref< Transform > | transform () const
void | material (const Ref< Material > &m)
void | appearance (const Ref< Appearance > &a)
void | transform (const Ref< Transform > &t)
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)
Protected Attributes inherited from sc::RenderedObject
char * | name_
Ref< Material > | material_
Ref< Appearance > | appearance_
Ref< Transform > | transform_

The documentation for this class was generated from the following file:

- polylines.h